Index: TXM/trunk/bundles/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java
===================================================================
--- TXM/trunk/bundles/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.textsbalance.core/src/org/txm/textsbalance/core/functions/TextsBalance.java	(revision 3944)
@@ -114,15 +114,7 @@
 		this.setDirty();
 	}
 	
-	
-	/**
-	 * @param
-	 * @param method
-	 * @param structuralUnit
-	 * @param suPropertyName
-	 * @param countTexts
-	 * @throws CqiClientException
-	 */
+	@Override
 	protected boolean __compute(TXMProgressMonitor monitor) {
 		
 		monitor.setTask("Computing balance with metadata propertyName = " + this.structuralUnitProperty + ", structural unit = " + this.structuralUnit.getName() + " and groupByTexts = " + this.countTexts); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
Index: TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 3944)
@@ -106,7 +106,6 @@
 	/**
 	 * Creates a charts engine with the specified name, description and output format.
 	 * 
-	 * @param name
 	 * @param description
 	 * @param outputFormat
 	 */
@@ -319,7 +318,7 @@
 	/**
 	 * Populates the chart creators from loaded extensions according to the specified chars engine name.
 	 * 
-	 * @param chartsEngineName
+	 * @param chartsEngineClass
 	 */
 	protected void registerChartCreatorExtensions(Class<? extends ChartsEngine> chartsEngineClass) {
 		
Index: TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java	(revision 3944)
@@ -55,7 +55,7 @@
 	
 	
 	/**
-	 * Constant for the color mode (colors, grayscale, monochrome, B&W).
+	 * Constant for the color mode (colors, grayscale, monochrome, Black and White).
 	 */
 	public final static String RENDERING_COLORS_MODE = "colors_mode"; //$NON-NLS-1$
 	
Index: TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/results/ChartResult.java	(revision 3944)
@@ -34,8 +34,7 @@
 	/**
 	 * The chart object.
 	 * TODO: MD: this is problematic, the chart object should allow us to edit the chart. In the case of the R charts, the File has not the same value as the JFC Chart (which can be edited)
-	 * TODO: replace this with at least a ChartResult parameter such as <O extends Object> but a abstract <C extends org.txm.Chart> would be better even if is only an empty class -> avoid compilation
-	 * TODO: error and upgrade the readability of the code and avoid unnecessary casts
+	 * TODO: replace this with at least a ChartResult parameter such as "O extends Object" but a abstract "C extends org.txm.Chart" would be better even if is only an empty class. avoid compilation error and upgrade the readability of the code and avoid unnecessary casts
 	 */
 	protected Object chart;
 	
@@ -68,8 +67,8 @@
 	
 	/**
 	 * The chart type;
-	 * TODO MD: finalize the chart type parameter. The chart type is directly linked to the ChartCreator classes and should not be a simple String -> this will allow us to manage this pref correctly
-	 * in the autosave&load methods
+	 * TODO MD: finalize the chart type parameter. The chart type is directly linked to the ChartCreator classes and should not be a simple String. this will allow us to manage this pref correctly
+	 * in the autosave and load methods
 	 */
 	@Parameter(key = ChartsEnginePreferences.CHART_TYPE, type = Parameter.RENDERING)
 	protected String chartType;
Index: TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/Theme.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/Theme.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/Theme.java	(revision 3944)
@@ -178,7 +178,7 @@
 	}
 
 	/**
-	 * Gets a B&W palette according to the specified items count.
+	 * Gets a B and W palette according to the specified items count.
 	 * @param itemsCount
 	 * @return the created palette
 	 */
Index: TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RWorkspace.java	(revision 3944)
@@ -293,7 +293,6 @@
 	 * if not try to launch it.
 	 *
 	 * @param pathToRExecutable the path to r executable
-	 * @param options
 	 * @param rServeArgs
 	 * @return true if Rserve is launched
 	 * @throws RWorkspaceException the r workspace exception
Index: TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/StartRserve.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/StartRserve.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/StartRserve.java	(revision 3944)
@@ -66,7 +66,6 @@
 	 * Launch rserve.
 	 *
 	 * @param cmd the cmd
-	 * @param options
 	 * @return true, if successful
 	 */
 	protected static boolean launchRserve(String cmd, int port, boolean debug, String rArgs, String rServeArgs) {
@@ -192,8 +191,7 @@
 	 * checks whether Rserve is running and if that's not the case it attempts
 	 * to start it using the defaults for the platform where it is run on. This
 	 * method is meant to be set-and-forget and cover most default setups. For
-	 * special setups you may get more control over R with <
-	 * <code>launchRserve</code> instead.
+	 * special setups you may get more control over R with <code>launchRserve</code> instead.
 	 * 
 	 * @param rServeArgs
 	 * @param rargs
Index: TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/RWorkspaceRenderer.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/RWorkspaceRenderer.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/RWorkspaceRenderer.java	(revision 3944)
@@ -68,13 +68,9 @@
 	/**
 	 * protected on purpose. See {@link #getInstance()}.
 	 *
-	 * @param pathToRExecutable the path to r executable
-	 * @param host the host
-	 * @param port the port
 	 * @throws RWorkspaceException the r workspace exception
 	 */
-	protected RWorkspaceRenderer(RWorkspace workspace)
-			throws RWorkspaceException {
+	protected RWorkspaceRenderer(RWorkspace workspace) throws RWorkspaceException {
 		this.workspace = workspace;
 	}
 	
Index: TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java
===================================================================
--- TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 3944)
@@ -681,6 +681,7 @@
 	 * @return
 	 * @throws IOException
 	 */
+	@Override
 	public boolean _toTxt(File outfile, String encoding, String colseparator, String txtseparator) throws IOException {
 		
 		// NK: writer declared as class attribute to perform a clean if the operation is interrupted
Index: TXM/trunk/bundles/org.txm.libs.args4j/src/org/kohsuke/args4j/MapSetter.java
===================================================================
--- TXM/trunk/bundles/org.txm.libs.args4j/src/org/kohsuke/args4j/MapSetter.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.libs.args4j/src/org/kohsuke/args4j/MapSetter.java	(revision 3944)
@@ -7,10 +7,11 @@
 import org.kohsuke.args4j.spi.Setter;
 
 /**
+ * 
+ * <p>
  * This setter adds a new entry to a Map.
  * The value which is passed is split into the Map-key and Map-value by a "=".
- * <p>
- * <tt>-map key=value</tt>
+ * <code>-map key=value</code>
  * </p>
  */
 @SuppressWarnings("rawtypes")
Index: TXM/trunk/bundles/org.txm.libs.args4j/src/org/kohsuke/args4j/Option.java
===================================================================
--- TXM/trunk/bundles/org.txm.libs.args4j/src/org/kohsuke/args4j/Option.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.libs.args4j/src/org/kohsuke/args4j/Option.java	(revision 3944)
@@ -18,7 +18,7 @@
  *
  * <p>
  * This annotation can be placed on a field of type T or the method
- * of the form <tt>void <i>methodName</i>(T value)</tt>. Its access
+ * of the form <code>void <i>methodName</i>(T value)</code>. Its access
  * modified can be anything, but if it's not public, your application
  * needs to run in a security context that allows args4j to access
  * the field/method (see {@link AccessibleObject#setAccessible(boolean)}.
Index: TXM/trunk/bundles/org.txm.libs.args4j/src/org/kohsuke/args4j/spi/ConfigElement.java
===================================================================
--- TXM/trunk/bundles/org.txm.libs.args4j/src/org/kohsuke/args4j/spi/ConfigElement.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.libs.args4j/src/org/kohsuke/args4j/spi/ConfigElement.java	(revision 3944)
@@ -1,8 +1,7 @@
 package org.kohsuke.args4j.spi;
 
 /**
- * The ConfigElement is an <tt>&lt;option></tt> or <tt>&lt;argument></tt> tag
- * in the xml configuration file.
+ * The ConfigElement is an <code>&lt;option></code> or <code>&lt;argument></code> tag in the XML configuration file.
  * 
  * @author Jan Materne
  */
Index: TXM/trunk/bundles/org.txm.libs.args4j/src/org/kohsuke/args4j/XmlParser.java
===================================================================
--- TXM/trunk/bundles/org.txm.libs.args4j/src/org/kohsuke/args4j/XmlParser.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.libs.args4j/src/org/kohsuke/args4j/XmlParser.java	(revision 3944)
@@ -23,7 +23,7 @@
  * Exactly one of the attributes 'field' or 'method' must be set.
  * The 'handler' value specifies a full qualified class name.
  *
- * <h3>Example</h3>
+ * <h2>Example</h2>
  * 
  * <pre>
  * &lt;args>
Index: TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java
===================================================================
--- TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/___Lexicon2.java	(revision 3944)
@@ -516,8 +516,6 @@
 	 * @param property the property
 	 * @param freq the freq
 	 * @param ids the ids
-	 *            {@link Corpus#getLexicon(Property)} or
-	 *            {@link Subcorpus#getLexicon(Property)}.
 	 */
 	protected void init(TXMResult corpus, Property property, int[] freq, int[] ids) {
 		if (freq.length != ids.length) {
Index: TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java
===================================================================
--- TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/PartitionIndex.java	(revision 3944)
@@ -421,7 +421,7 @@
 	/**
 	 * As r matrix.
 	 *
-	 * TODO MD: restore the asRMatrix method used by the execR&co macros as demonstration
+	 * TODO MD: restore the asRMatrix method used by the execR macros as demonstration
 	 * TODO MD: finalize a export to R mechanism (maybe linked to the export engines to be implemented 
 	 *
 	 * @return the string
Index: TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 3944)
@@ -1175,7 +1175,7 @@
 	/**
 	 * As r matrix.
 	 *
-	 * TODO MD: restore the asRMatrix method used by the execR&co macros as demonstration
+	 * TODO MD: restore the asRMatrix method used by the execR macros as demonstration
 	 * TODO MD: finalize a export to R mechanism (maybe linked to the export engines to be implemented
 	 *
 	 * @return the string
Index: TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/logger/LocalizedLogger.java
===================================================================
--- TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/logger/LocalizedLogger.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.utils.core/src/org/txm/utils/logger/LocalizedLogger.java	(revision 3944)
@@ -37,7 +37,7 @@
 /**
  * A logger whose messages are translated unsing a {@link Localizer}.
  * 
- * @deprecated
+ * @deprecated no more used
  * @author sloiseau
  */
 @Deprecated
Index: TXM/trunk/bundles/org.txm.texts.core/src/org/txm/texts/core/TextsSelection.java
===================================================================
--- TXM/trunk/bundles/org.txm.texts.core/src/org/txm/texts/core/TextsSelection.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.texts.core/src/org/txm/texts/core/TextsSelection.java	(revision 3944)
@@ -34,10 +34,12 @@
 		super(parametersNodePath);
 	}
 	
+	@Override
 	public boolean canCompute() {
 		return criterii.size() > 0;
 	}
 	
+	@Override
 	public boolean __compute(TXMProgressMonitor monitor) throws Exception {
 		
 		StringBuilder buffer = new StringBuilder();
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/AbstractCqiClient.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/AbstractCqiClient.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/AbstractCqiClient.java	(revision 3944)
@@ -45,7 +45,6 @@
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.QueryResult;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
-import org.txm.searchengine.cqp.corpus.VirtualProperty;
 import org.txm.searchengine.cqp.corpus.WordProperty;
 import org.txm.searchengine.cqp.corpus.query.CQLQuery;
 import org.txm.searchengine.cqp.corpus.query.Match;
@@ -402,11 +401,10 @@
 	 * Gives the lexicon size of an attribute.
 	 *
 	 * @param attribute the attribute
-	 * @return the int
 	 * @throws IOException Signals that an I/O exception has occurred.
 	 * @throws UnexpectedAnswerException Signals that the data read on the socket is unexpected
 	 * @throws CqiServerError Signals that the cqi server raised an error
-	 * @returns the number of entries in the lexicon of a positional attribute
+	 * @return the number of entries in the lexicon of a positional attribute
 	 */
 	@Override
 	public abstract int lexiconSize(String attribute) throws IOException, UnexpectedAnswerException, CqiServerError;
@@ -544,7 +542,7 @@
 	public abstract int[] cpos2Alg(String attribute, int[] cpos) throws UnexpectedAnswerException, IOException, CqiServerError;
 	
 	/**
-	 * Retrieves annotated string values of structure regions in <strucs>; "" if
+	 * Retrieves annotated string values of structure regions in "strucs"; "" if
 	 * out of range.
 	 *
 	 * @param attribute the attribute
@@ -571,7 +569,7 @@
 	public abstract int[] id2Cpos(String attribute, int id) throws UnexpectedAnswerException, IOException, CqiServerError;
 	
 	/**
-	 * Retrieves all corpus positions where one of the tokens in <id_list>
+	 * Retrieves all corpus positions where one of the tokens in "id_list"
 	 * occurs; the returned list is sorted as a whole, not per token id.
 	 *
 	 * @param attribute the attribute
@@ -585,8 +583,7 @@
 	public abstract int[] idList2Cpos(String attribute, int[] ids) throws UnexpectedAnswerException, IOException, CqiServerError;
 	
 	/**
-	 * Retrieves the lexicon IDs of all tokens that match <regex>; the returned
-	 * list may be empty (size 0).
+	 * Retrieves the lexicon IDs of all tokens that match "regex"; the returned list may be empty (size 0).
 	 *
 	 * @param attribute the attribute
 	 * @param regex the regex
@@ -599,7 +596,7 @@
 	public abstract int[] regex2Id(String attribute, String regex) throws UnexpectedAnswerException, IOException, CqiServerError;
 	
 	/**
-	 * Retrieves the start and end corpus positions of structure region <struc>.
+	 * Retrieves the start and end corpus positions of structure region "struc".
 	 *
 	 * @param attribute the attribute
 	 * @param struc the struc
@@ -613,7 +610,7 @@
 	
 	/**
 	 * Retrieves start and end corpus positions of an alignement region in the
-	 * source and target corpora<struc>.
+	 * source and target corpora "struc".
 	 *
 	 * @param attribute the attribute
 	 * @param struc the struc
@@ -713,8 +710,8 @@
 	public abstract boolean subCorpusHasField(String subcorpus, byte field) throws IOException, UnexpectedAnswerException, CqiServerError;
 	
 	/**
-	 * Dumps the values of <field> for match ranges <first> .. <last> in
-	 * <subcorpus>. <field> is one of the CQI_CONST_FIELD_* constants.
+	 * Dumps the values of "field" for match ranges "first" .. "last" in
+	 * "subcorpus". "field" is one of the CQI_CONST_FIELD_* constants.
 	 * 
 	 * @param subcorpus
 	 *            the subcorpus
@@ -756,7 +753,7 @@
 			UnexpectedAnswerException, CqiServerError;
 	
 	/**
-	 * Returns <n> (id, frequency) pairs flattened into a list of size 2*<n> NB:
+	 * Returns {@code <n>} (id, frequency) pairs flattened into a list of size 2*{@code <n>} NB:
 	 * pairs are sorted by frequency desc.
 	 * 
 	 * @param subcorpus
@@ -784,8 +781,8 @@
 			UnexpectedAnswerException, CqiServerError;
 	
 	/**
-	 * Returns <n> (id1, id2, frequency) pairs flattened into a list of size
-	 * 3*<n> NB: triples are sorted by frequency desc. .
+	 * Returns {@code <n>} (id1, id2, frequency) pairs flattened into a list of size
+	 * 3*{@code <n>} NB: triples are sorted by frequency desc. .
 	 * 
 	 * @param subcorpus
 	 *            the subcorpus
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/NetCqiClient.java	(revision 3944)
@@ -102,8 +102,7 @@
 	/**
 	 * Write a string on the socket.
 	 * 
-	 * @param string
-	 *            the string
+	 * @param string the string
 	 * 
 	 * @throws IOException
 	 *             Signals that an I/O exception has occurred.
@@ -127,14 +126,12 @@
 	/**
 	 * Write a string array on the socket.
 	 * 
-	 * @param strings
-	 *            the string array
+	 * @param strings the string array
 	 * 
 	 * @throws IOException
 	 *             Signals that an I/O exception has occurred.
 	 */
-	private synchronized void writeStringArray(String[] strings)
-			throws IOException {
+	private synchronized void writeStringArray(String[] strings) throws IOException {
 		int length = strings.length;
 		this.streamToServer.writeInt(length);
 		for (int i = 0; i < length; i++)
@@ -768,6 +765,7 @@
 	 */
 	@Override
 	public synchronized boolean connect(String username, String password) throws UnexpectedAnswerException, IOException, CqiServerError {
+		
 		this.username = username;
 		this.password = password;
 		
@@ -793,12 +791,9 @@
 	 * 
 	 * @return true, if successful
 	 * 
-	 * @throws UnexpectedAnswerException
-	 *             Signals that the data read on the socket is unexpected
-	 * @throws CqiServerError
-	 *             Signals that the cqi server raised an error
-	 * @throws IOException
-	 *             Signals that an I/O exception has occurred.
+	 * @throws UnexpectedAnswerException Signals that the data read on the socket is unexpected
+	 * @throws CqiServerError Signals that the cqi server raised an error
+	 * @throws IOException Signals that an I/O exception has occurred.
 	 */
 	@Override
 	public synchronized boolean disconnect() throws UnexpectedAnswerException, CqiServerError, IOException {
@@ -809,7 +804,7 @@
 	String lastError;
 	@Override
 	public synchronized String getLastError() {
-		if(lastError != null && lastError.length() > 0) {
+		if (lastError != null && lastError.length() > 0) {
 			return lastError;
 		}
 		return CQPSearchEngineCoreMessages.noError;
@@ -998,8 +993,7 @@
 	/**
 	 * Drop a corpus.
 	 * 
-	 * @param corpus
-	 *            the corpus
+	 * @param corpus the corpus
 	 * @throws IOException 
 	 */
 	@Override
@@ -1033,11 +1027,10 @@
 	 * Gives the lexicon size of an attribute.
 	 *
 	 * @param attribute the attribute
-	 * @return the int
 	 * @throws IOException Signals that an I/O exception has occurred.
 	 * @throws UnexpectedAnswerException Signals that the data read on the socket is unexpected
 	 * @throws CqiServerError Signals that the cqi server raised an error
-	 * @returns the number of entries in the lexicon of a positional attribute
+	 * @return the number of entries in the lexicon of a positional attribute
 	 */
 	@Override
 	public synchronized int lexiconSize(String attribute) throws IOException, UnexpectedAnswerException, CqiServerError {
@@ -1217,7 +1210,7 @@
 	}
 
 	/**
-	 * Retrieves annotated string values of structure regions in <strucs>; "" if
+	 * Retrieves annotated string values of structure regions in "strucs"; "" if
 	 * out of range.
 	 *
 	 * @param attribute the attribute
@@ -1233,7 +1226,7 @@
 	}
 	
 	/**
-	 * Retrieves annotated string values of structure regions in <strucs>; "" if
+	 * Retrieves annotated string values of structure regions in "strucs"; "" if
 	 * out of range.
 	 *
 	 * @param attribute the attribute
@@ -1266,7 +1259,7 @@
 	}
 
 	/**
-	 * Retrieves all corpus positions where one of the tokens in <id_list>
+	 * Retrieves all corpus positions where one of the tokens in "id_list"
 	 * occurs; the returned list is sorted as a whole, not per token id.
 	 *
 	 * @param attribute the attribute
@@ -1283,7 +1276,7 @@
 	}
 
 	/**
-	 * Retrieves the lexicon IDs of all tokens that match <regex>; the returned
+	 * Retrieves the lexicon IDs of all tokens that match "regex"; the returned
 	 * list may be empty (size 0);.
 	 *
 	 * @param attribute the attribute
@@ -1302,7 +1295,7 @@
 	}
 
 	/**
-	 * Retrieves the start and end corpus positions of structure region <struc>.
+	 * Retrieves the start and end corpus positions of structure region "struc".
 	 *
 	 * @param attribute the attribute
 	 * @param struc the struc
@@ -1320,8 +1313,7 @@
 	}
 
 	/**
-	 * Retrieves start and end corpus positions of an alignement region in the
-	 * source and target corpora<struc>.
+	 * Retrieves start and end corpus positions of an alignement region in the source and target corpora "struc".
 	 *
 	 * @param attribute the attribute
 	 * @param struc the struc
@@ -1444,8 +1436,8 @@
 	}
 
 	/**
-	 * Dumps the values of <field> for match ranges <first> .. <last> in
-	 * <subcorpus>. <field> is one of the CQI_CONST_FIELD_* constants.
+	 * Dumps the values of "field"for match ranges "first" .. "last" in
+	 * "subcorpus". "field" is one of the CQI_CONST_FIELD_* constants.
 	 * 
 	 * @param subcorpus
 	 *            the subcorpus
@@ -1496,7 +1488,7 @@
 	}
 
 	/**
-	 * Returns <n> (id, frequency) pairs flattened into a list of size 2*<n> NB:
+	 * Returns {@code <n>} (id, frequency) pairs flattened into a list of size 2*{@code <n>} NB:
 	 * pairs are sorted by frequency desc.
 	 * 
 	 * @param subcorpus
@@ -1529,8 +1521,8 @@
 	}
 
 	/**
-	 * Returns <n> (id1, id2, frequency) pairs flattened into a list of size
-	 * 3*<n> NB: triples are sorted by frequency desc. .
+	 * Returns  {@code <n>} (id1, id2, frequency) pairs flattened into a list of size
+	 * 3*{@code <n>} NB: triples are sorted by frequency desc. .
 	 * 
 	 * @param subcorpus
 	 *            the subcorpus
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/ICqiClient.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/ICqiClient.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/ICqiClient.java	(revision 3944)
@@ -476,11 +476,10 @@
 	 * Gives the lexicon size of an attribute.
 	 *
 	 * @param attribute the attribute
-	 * @return the int
 	 * @throws IOException Signals that an I/O exception has occurred.
 	 * @throws UnexpectedAnswerException Signals that the data read on the socket is unexpected
 	 * @throws CqiServerError Signals that the cqi server raised an error
-	 * @returns the number of entries in the lexicon of a positional attribute
+	 * @return the number of entries in the lexicon of a positional attribute
 	 */
 	public int lexiconSize(String attribute) throws IOException, UnexpectedAnswerException, CqiServerError;
 
@@ -607,7 +606,7 @@
 	public int[] cpos2Alg(String attribute, int[] cpos) throws UnexpectedAnswerException, IOException, CqiServerError;
 
 	/**
-	 * Retrieves annotated string values of structure regions in <strucs>; "" if
+	 * Retrieves annotated string values of structure regions in "strucs"; "" if
 	 * out of range.
 	 *
 	 * @param attribute the attribute
@@ -632,7 +631,7 @@
 	public int[] id2Cpos(String attribute, int id) throws UnexpectedAnswerException, IOException, CqiServerError;
 
 	/**
-	 * Retrieves all corpus positions where one of the tokens in <id_list>
+	 * Retrieves all corpus positions where one of the tokens in "id_list"
 	 * occurs; the returned list is sorted as a whole, not per token id.
 	 *
 	 * @param attribute the attribute
@@ -645,7 +644,7 @@
 	public int[] idList2Cpos(String attribute, int[] ids) throws UnexpectedAnswerException, IOException, CqiServerError;
 
 	/**
-	 * Retrieves the lexicon IDs of all tokens that match <regex>; the returned
+	 * Retrieves the lexicon IDs of all tokens that match "regex"; the returned
 	 * list may be empty (size 0).
 	 *
 	 * @param attribute the attribute
@@ -658,7 +657,7 @@
 	public int[] regex2Id(String attribute, String regex) throws UnexpectedAnswerException, IOException, CqiServerError;
 
 	/**
-	 * Retrieves the start and end corpus positions of structure region <struc>.
+	 * Retrieves the start and end corpus positions of structure region "struc".
 	 *
 	 * @param attribute the attribute
 	 * @param struc the struc
@@ -671,7 +670,7 @@
 
 	/**
 	 * Retrieves start and end corpus positions of an alignement region in the
-	 * source and target corpora<struc>.
+	 * source and target corpora"struc".
 	 *
 	 * @param attribute the attribute
 	 * @param struc the struc
@@ -743,16 +742,14 @@
 	public boolean subCorpusHasField(String subcorpus, byte field) throws IOException, UnexpectedAnswerException, CqiServerError;
 
 	/**
-	 * Dumps the values of <field> for match ranges <first> .. <last> in
-	 * <subcorpus>. <field> is one of the CQI_CONST_FIELD_* constants.
+	 * Dumps the values of "field" for match ranges "first" .. "last" in
+	 * "subcorpus". "field" is one of the CQI_CONST_FIELD_* constants.
 	 * 
 	 * @param subcorpus
 	 *            the subcorpus
 	 * @param field CQI_CONST_FIELD_MATCH, CQI_CONST_FIELD_MATCHEND or CQI_CONST_FIELD_TARGET
-	 * @param first
-	 *            the first
-	 * @param last
-	 *            the last
+	 * @param first the first
+	 * @param last the last
 	 * 
 	 * @return the values
 	 * 
@@ -769,8 +766,7 @@
 	/**
 	 * Drops a subcorpus.
 	 * 
-	 * @param subcorpus
-	 *            the subcorpus
+	 * @param subcorpus the subcorpus
 	 * 
 	 * @throws IOException
 	 *             Signals that an I/O exception has occurred.
@@ -783,17 +779,13 @@
 	UnexpectedAnswerException, CqiServerError;
 
 	/**
-	 * Returns <n> (id, frequency) pairs flattened into a list of size 2*<n> NB:
+	 * Returns {@code <n>} (id, frequency) pairs flattened into a list of size 2*{@code <n>} NB:
 	 * pairs are sorted by frequency desc.
 	 * 
-	 * @param subcorpus
-	 *            the subcorpus
-	 * @param cutoff
-	 *            the cutoff
-	 * @param field
-	 *            the field : one of CQI_CONST_FIELD_MATCH, CQI_CONST_FIELD_MATCHEND or CQI_CONST_FIELD_TARGET
-	 * @param attribute
-	 *            the attribute
+	 * @param subcorpus the subcorpus
+	 * @param cutoff the cutoff
+	 * @param field the field : one of CQI_CONST_FIELD_MATCH, CQI_CONST_FIELD_MATCHEND or CQI_CONST_FIELD_TARGET
+	 * @param attribute the attribute
 	 * 
 	 * @return the int[][]
 	 * 
@@ -809,21 +801,15 @@
 			UnexpectedAnswerException, CqiServerError;
 
 	/**
-	 * Returns <n> (id1, id2, frequency) pairs flattened into a list of size
-	 * 3*<n> NB: triples are sorted by frequency desc. .
+	 * Returns {@code <n>} (id1, id2, frequency) pairs flattened into a list of size
+	 * 3*{@code <n>} NB: triples are sorted by frequency desc. .
 	 * 
-	 * @param subcorpus
-	 *            the subcorpus
-	 * @param cutoff
-	 *            the cutoff
-	 * @param field1
-	 *            the field1
-	 * @param attribute1
-	 *            the attribute1
-	 * @param field2
-	 *            the field2
-	 * @param attribute2
-	 *            the attribute2
+	 * @param subcorpus the subcorpus
+	 * @param cutoff the cutoff
+	 * @param field1 the field1
+	 * @param attribute1 the attribute1
+	 * @param field2 the field2
+	 * @param attribute2 the attribute2
 	 * 
 	 * @return the int[]
 	 * 
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPLexicon.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPLexicon.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPLexicon.java	(revision 3944)
@@ -545,9 +545,7 @@
 	 * @param corpus the corpus
 	 * @param property the property
 	 * @param freq the freq
-	 * @param ids the ids
-	 *            {@link CQPCorpus#getLexicon(Property)} or
-	 *            {@link Subcorpus#getLexicon(Property)}.
+	 * @param ids the ids list
 	 */
 	protected void init(TXMResult corpus, WordProperty property, int[] freq, int[] ids) {
 		if (freq.length != ids.length) {
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Partition.java	(revision 3944)
@@ -177,12 +177,8 @@
 	 * 
 	 * The partition has as many parts as the size of the list of value. The ith
 	 * part is composed by all the structure <code>structure</code> such as
-	 * <code>strucutre.getValue(property) == values.get(i)<code>
+	 * <code>strucutre.getValue(property) == values.get(i)</code>
 	 * 
-	 * @param corpus the corpus
-	 * @param structure the structure
-	 * @param property the property
-	 * @param values the values, raw values special chars will be backslashed
 	 * @throws Exception
 	 */
 	
@@ -511,17 +507,15 @@
 	/**
 	 * Run a query on all the parts of this partition.
 	 * 
-	 * @param query
-	 *            the query
-	 * @param name
-	 *            the name
+	 * @param query the query
+	 * @param name the name
 	 * 
-	 * @return the list< subcorpus>
+	 * @return the list "subcorpus"
 	 * 
-	 * @throws CqiClientException
-	 *             the cqi client exception
+	 * @throws CqiClientException the cqi client exception
 	 */
 	public List<QueryResult> query(CQLQuery query, String name) throws CqiClientException {
+		
 		Log.finest(TXMCoreMessages.bind(TXMCoreMessages.queryingPartitionP0, this.getUserName()));
 		List<Part> parts = getParts();
 		List<QueryResult> results = new ArrayList<>(parts.size());
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 3944)
@@ -128,11 +128,7 @@
 	 * 
 	 * Not intended to be used directly.
 	 *
-	 * @param pID the cqp id
-	 * @param name the name
-	 * @param parent the parent
-	 * @param query the query
-	 * @throws InvalidCqpIdException the invalid cqp id exception
+	 * @throws Exception the invalid cqp id exception
 	 *             {@link CQPCorpus#createSubcorpus(CQLQuery, String)}
 	 */
 	@Override
@@ -532,12 +528,12 @@
 	 *
 	 * @param pID the cqp id
 	 * @param name the name
-	 * @param parent the parent
 	 * @param query the query
 	 * @throws InvalidCqpIdException the invalid cqp id exception
 	 *             {@link CQPCorpus#createSubcorpus(CQLQuery, String)}
 	 */
 	protected void setParameters(String pID, String name, CQLQuery query) throws InvalidCqpIdException {
+		
 		this.pID = pID;
 		this.pQuery = query;
 		this.setUserName(name);
@@ -550,6 +546,7 @@
 	 * @param queryResult
 	 */
 	public void setParameters(String cqpId, String name, QueryResult queryResult) {
+		
 		this.pID = cqpId;
 		this.setUserName(name);
 		this.pQuery = queryResult.getQuery();
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/PatchCwbRegistry.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/PatchCwbRegistry.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/importer/cwb/PatchCwbRegistry.java	(revision 3944)
@@ -180,7 +180,7 @@
 	}
 
 	/**
-	 * Add the ALIGNED <corpus> line to a registry file.
+	 * Add the ALIGNED {@code <corpus>} line to a registry file.
 	 *
 	 * @param registryfile the registry file to patch
 	 * @param targetcorpus the aligned corpus
@@ -236,7 +236,7 @@
 	}
 	
 	/**
-	 * Add the ALIGNED <corpus> line to a registry file.
+	 * Add the ALIGNED {@code <corpus>} line to a registry file.
 	 *
 	 * @param registryfile the registry file to patch
 	 * @param oldname the oldname
Index: TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java
===================================================================
--- TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.statsengine.r.rcp/src/org/txm/statsengine/r/rcp/views/RVariablesView.java	(revision 3944)
@@ -131,7 +131,6 @@
 	/**
 	 * Builds the tree content.
 	 *
-	 * @param corpora the corpora
 	 */
 	protected void buildTreeContent()
 	{
Index: TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/r/data/LexicalTableImpl.java
===================================================================
--- TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/r/data/LexicalTableImpl.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/statsengine/r/data/LexicalTableImpl.java	(revision 3944)
@@ -77,7 +77,6 @@
 	 * Instantiates a new lexical table impl.
 	 *
 	 * @param matrix the matrix
-	 * @param property the property
 	 * @param formNames the form names
 	 * @param partNames the part names
 	 * @throws RWorkspaceException the r workspace exception
Index: TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java
===================================================================
--- TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 3944)
@@ -245,8 +245,6 @@
 	 * Creates the lexical table.
 	 *
 	 * @param indexes the vocabularies
-	 * @param symbol the symbol
-	 * @param useAllOccurrences
 	 * @return the lexical table
 	 * @throws RWorkspaceException the r workspace exception
 	 */
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java	(revision 3944)
@@ -487,7 +487,6 @@
 	/**
 	 * Creates the advanced query field.
 	 *
-	 * @param composite the composite
 	 */
 	private void createAdvancedQueryField() {
 		
@@ -500,7 +499,6 @@
 	/**
 	 * Adds the query field.
 	 *
-	 * @param composite the composite
 	 */
 	private QueryWidget addQueryField() {
 		
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/AbstractEditorInput.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/AbstractEditorInput.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/AbstractEditorInput.java	(revision 3944)
@@ -31,11 +31,10 @@
 import org.eclipse.ui.IEditorInput;
 import org.eclipse.ui.IPersistableElement;
 
-// TODO: Auto-generated Javadoc
 /**
  * This is a root implementation for other abstract implementation of tab type (.
  *
- * {@link AbstractSVGGraphicable}, {@link AbstractTablableEditorInput}, etc.).
+ * {@link AbstractTablableEditorInput}, etc.).
  * @author sloiseau
  */
 @SuppressWarnings("rawtypes") //$NON-NLS-1$
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 3944)
@@ -574,10 +574,8 @@
 	 * notifyDispose
 	 * notifyDoSave
 	 * 
-	 * @param step
-	 *            the method to call
+	 * @param step the method to call
 	 * @throws SecurityException
-	 * @throws NoSuchMethodException
 	 */
 	protected void notifyExtensions(final String step) {
 		
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/workspace/LoadBinaryCorporaDirectory.java	(revision 3944)
@@ -330,7 +330,7 @@
 	/**
 	 * dont manage SearchEngine state
 	 * 
-	 * @param files2
+	 * @param directory
 	 * @param job
 	 * @param monitor
 	 * @return the loaded projects
@@ -343,11 +343,10 @@
 	/**
 	 * dont manage SearchEngine state
 	 * 
-	 * @param corporaDirectory
+	 * @param corporaFiles
 	 * @param job
 	 * @param monitor
 	 * @param replace if true replace existing corpus
-	 * @param loadDirectories
 	 * @return the loaded projects
 	 */
 	protected static ArrayList<Project> loadBinaryCorpusFromCorporaDirectory(List<File> corporaFiles, JobHandler job, IProgressMonitor monitor, boolean replace, String sourceName) {
Index: TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/functions/contrasts/Contrast.java
===================================================================
--- TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/functions/contrasts/Contrast.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/functions/contrasts/Contrast.java	(revision 3944)
@@ -97,6 +97,7 @@
 	 * @throws StatException the stat exception
 	 * @throws IOException 
 	 */
+	@Override
 	public boolean _toTxt(File outfile, String encoding, String colseparator, String txtseparator) throws StatException, IOException {
 
 		OutputStreamWriter writer;
Index: TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java
===================================================================
--- TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.specificities.core/src/org/txm/specificities/core/functions/Specificities.java	(revision 3944)
@@ -178,16 +178,7 @@
 	 *
 	 * @param symbol the symbol
 	 * @param specIndex the spec index (as double[row][column])
-	 * @param table the table
-	 * @param typeFocus names of the rows of the lexical table with corresponding
-	 *            rows in the specIndex array; <code>null</code> if all the
-	 *            rows are represented in specIndex.
-	 * @param partFocus names of the cols of the lexical table with corresponding
-	 *            cols in the specIndex array; <code>null</code> if all the
-	 *            cols are represented in specIndex.
-	 * @param name the name
-	 * @param maxScore if abs(score) > maxScore -> score = +/- maxScore
-	 * @throws StatException the stat exception
+	 * @throws Exception the stat exception
 	 */
 	protected void init(String symbol, double[][] specIndex) throws Exception {
 		
Index: TXM/trunk/bundles/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/sql/Dictionary.java
===================================================================
--- TXM/trunk/bundles/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/sql/Dictionary.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.dictionary.rcp/src/org/txm/dictionary/functions/sql/Dictionary.java	(revision 3944)
@@ -149,7 +149,6 @@
 	 * 
 	 * @param name
 	 * @param functions 
-	 * @param directory
 	 * @throws Exception
 	 */
 	protected Dictionary(String name, HSQLFunctions functions) throws Exception {
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Workspace.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Workspace.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Workspace.java	(revision 3944)
@@ -114,7 +114,6 @@
 	/**
 	 * Instantiates a new workspace.
 	 *
-	 * @param xmlproject the xmlproject
 	 * @throws CoreException 
 	 */
 	private Workspace() throws CoreException {
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/xml/XMLProcessor.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/xml/XMLProcessor.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/xml/XMLProcessor.java	(revision 3944)
@@ -103,12 +103,12 @@
 	/**
 	 * Creates the output.
 	 *
-	 * @param outfile the outfile
 	 * @return true, if successful
 	 * @throws XMLStreamException
 	 * @throws IOException
 	 */
 	private boolean createOutput(File f) throws XMLStreamException, IOException {
+		
 		if (writer != null) { // process from a file
 			writer.close();
 		}
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/StaxIdentityParser.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/StaxIdentityParser.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/StaxIdentityParser.java	(revision 3944)
@@ -110,7 +110,6 @@
 	/**
 	 * Creates the output.
 	 *
-	 * @param outfile the outfile
 	 * @return true, if successful
 	 */
 	private boolean createOutput(File f, String encoding) {
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartComposite.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartComposite.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/ChartComposite.java	(revision 3944)
@@ -126,8 +126,6 @@
 	/**
 	 * Creates a new chart component.
 	 * 
-	 * @param chartsEngine
-	 * @param chartEditorInput
 	 * @return
 	 */
 	protected abstract IChartComponent _createChartComponent();
Index: TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 3944)
@@ -153,7 +153,6 @@
 	/**
 	 * Creates a new editor.
 	 * 
-	 * @param swtComponentsProvider
 	 * @param chartEditorInput
 	 */
 	protected ChartEditor(ChartEditorInput chartEditorInput) {
Index: TXM/trunk/bundles/org.txm.ahc.core/src/org/txm/ahc/core/preferences/AHCPreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.ahc.core/src/org/txm/ahc/core/preferences/AHCPreferences.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.ahc.core/src/org/txm/ahc/core/preferences/AHCPreferences.java	(revision 3944)
@@ -20,7 +20,7 @@
 	public static final String RENDERING = "rendering"; //$NON-NLS-1$
 	
 	/**
-	 * The method (METHODS <- c("average", "single", "complete", "ward", "weighted", "flexible")).
+	 * The method (METHODS {@code <-} c("average", "single", "complete", "ward", "weighted", "flexible")).
 	 */
 	public static final String METHOD = "method"; //$NON-NLS-1$
 	
Index: TXM/trunk/bundles/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java
===================================================================
--- TXM/trunk/bundles/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java	(revision 3943)
+++ TXM/trunk/bundles/org.txm.ahc.core/src/org/txm/ahc/core/functions/AHC.java	(revision 3944)
@@ -116,7 +116,7 @@
 	protected String metric;
 	
 	/**
-	 * The method (METHODS <- c("average", "single", "complete", "ward", "weighted", "flexible")).
+	 * The method (METHODS {@code <-} c("average", "single", "complete", "ward", "weighted", "flexible")).
 	 */
 	@Parameter(key = AHCPreferences.METHOD)
 	protected String method;
@@ -315,6 +315,7 @@
 	 * @return true if success
 	 */
 	// FIXME: SJ: to extract to future exporter extension
+	@Override
 	public boolean _toTxt(File outfile, String encoding, String colsep, String txtsep) {
 		boolean ret = true;
 		acquireSemaphore();
@@ -473,7 +474,7 @@
 	/**
 	 * Gets the cluster tree heights.
 	 * 
-	 * @return
+	 * @return clusters heights
 	 */
 	public double[] getClusterTreeHeights() {
 		if (this.clusterHeights == null) {
@@ -519,7 +520,7 @@
 	/**
 	 * Gets the cluster tree merges.
 	 * 
-	 * @return
+	 * @return clusters classes 
 	 */
 	public double[][] getClusterTreeMerges() {
 		if (this.clusterMerges == null) {
